﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<table style="width:100%">
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Created Date";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
                <font color="red">*</font>
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPUploadDateFromDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = Unit.Pixel(110);
                    edtSettings.Date = DateTime.Now.AddMonths(-1);
                }).GetHtml()
        </td>
        <td style="width:30px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "To";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPUploadDateToDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = Unit.Pixel(110);
                    edtSettings.Date = DateTime.Now;
                }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Invoice Date";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
                <font color="red">*</font>
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPInvoiceDateFromDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = Unit.Pixel(110);
                    edtSettings.Date = DateTime.Now.AddMonths(-1);
                }).GetHtml()
        </td>
        <td style="width:30px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "To";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPInvoiceDateToDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = Unit.Pixel(110);
                    edtSettings.Date = DateTime.Now;
                }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Plan Payment Date";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPPaymentDateFromDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = 110;
                }).GetHtml()
        </td>
        <td style="width:30px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "To";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPPaymentDateToDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPSupplierOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialHeaderSupplierLookupGridInvoiceInquiry" };
                    gridLookup.ReadOnly = true;
                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>        
       <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Status";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPStatusOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "STATUS_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialInvoiceStatusGridLookup" };
                    gridLookup.ReadOnly = true;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "STATUS_NAME";
                        column.FieldName = "STATUS_NAME";
                        column.Caption = "Status Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["InvoiceStatusGridLookup"]).GetHtml()
        </td>   
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Invoice No";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "OIPInvoiceNoText";
                    textBox.Name = "OIPInvoiceNoText";
                    textBox.Width = Unit.Pixel(110);
                    textBox.Properties.ClientSideEvents.ValueChanged = "TextValueChangedMergeNewLineToSemiColon";
                }).GetHtml() 
        </td>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Interfaces";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OIPAutomaticOption";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("Direct", "Y");
                edtSettings.Properties.Items.Add("Indirect", "N");
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

    </tr>
</table>
<table width="100%">
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:90px">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPDownload";
                    edtSetting.Text = "Download";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OIPDownloadClick";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
        <td style="width:130px">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPPrint";
                    edtSetting.Text = "Print Certificate ID";
                    edtSetting.ClientSideEvents.Click = "OIPPrintClick";
                    edtSetting.EnableClientSideAPI = true;
                    edtSetting.Width = Unit.Pixel(120);
                }
            ).GetHtml()
        </td>
        <td style="width:90px">
            @Html.DevExpress().Button(p =>
                {
                    p.Name = "OIPCancelInvoice";
                    p.Text = "Cancel";
                    p.Width = Unit.Pixel(80);
                    p.ClientSideEvents.Click = "OnOIPCancelInvoiceClick";
                    p.EnableClientSideAPI = true;
                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceAndPaymentInquiry", "OIPCancelInvoice");

                    switch (auth)
                    {
                        case 0:
                            p.ClientVisible = false;
                            break;
                        case 1:
                            p.Enabled = false;
                            break;
                        case 2:
                            p.ClientVisible = true;
                            p.Enabled = true;
                            break;
                        default:
                            p.ClientVisible = true;
                            p.Enabled = true;
                            break;
                    }
                }).GetHtml()
            
        </td>
        <td style="width:100px">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPToggleButton";
                    edtSetting.Text = "View Detail";
                    edtSetting.Width = Unit.Pixel(90);
                    edtSetting.ClientSideEvents.Click = "OnOIPToggleButtonClick";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
        <td style="width:100px">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPPostInvoice";
                    edtSetting.Text = "Post Invoice";
                    edtSetting.Width = Unit.Pixel(90);
                    edtSetting.ClientSideEvents.Click = "OIPPostInvoiceClick";
                    edtSetting.EnableClientSideAPI = true;

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceAndPaymentInquiry", "OIPPostInvoice");

                    switch (auth)
                    {
                        case 0:
                            edtSetting.ClientVisible = false;
                            break;
                        case 1:
                            edtSetting.Enabled = false;
                            break;
                        case 2:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                        default:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                    }
                }
            ).GetHtml()
        </td>
        <td style="width:90px">
            @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "OIPReverseInvoice";
                    edtSetting.Text = "Reverse";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPReverseInvoiceClick";
                    edtSetting.EnableClientSideAPI = true;
                    
                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceAndPaymentInquiry", "OIPReverseInvoice");

                    switch (auth)
                    {
                        case 0:
                            edtSetting.ClientVisible = false;
                            break;
                        case 1:
                            edtSetting.Enabled = false;
                            break;
                        case 2:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                        default:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                    }
                }).GetHtml()
        </td>
        <td style="width:90px">
            @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "OIPReProcessInvoice";
                    edtSetting.Text = "Re-Process";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPReProcessClick";
                    edtSetting.EnableClientSideAPI = true;
                    
                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceAndPaymentInquiry", "OIPReProcessInvoice");

                    switch (auth)
                    {
                        case 0:
                            edtSetting.ClientVisible = false;
                            break;
                        case 1:
                            edtSetting.Enabled = false;
                            break;
                        case 2:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                        default:
                            edtSetting.ClientVisible = true;
                            edtSetting.Enabled = true;
                            break;
                    }
                }).GetHtml()
        </td>
        <td style="width:410px"></td> @* column spacing *@
        <td style="width:90px">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPSearchButton";
                    edtSetting.Text = "Search";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPSearchButtonClick";
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPClearButton";
                    edtSetting.Text = "Clear";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPClearButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>

<script type="text/javascript">
    $(document).ready(function () {
        OIPUploadDateFromDate.Focus();
    });
</script>
